Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 21 Oct 2014, 00:23
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Desktop
compiling Blinky for Icewm
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
WiZard

Joined: 11 Sep 2005
Posts: 43

PostPosted: Sat 14 Jan 2012, 15:45    Post subject:  compiling Blinky for Icewm  

I have Puppy 4.31 frugal install and am trying to get Blinky to work in Icewm. Here is what has been done:
-install icewm 1.3.2
-install Blinky-0.8-patched-trayicon.tar.gz
-configure bootup to load devx_431.sfs
-copy eggtrayicon files to /user/include

When compile-gtk2 is run this is the output:
# ./compile-gtk2
blinky.c: In function 'show_main_window':
blinky.c:94: warning: assignment from incompatible pointer type
/usr/lib/gcc/i486-t2-linux-gnu/4.2.2/../../../../i486-t2-linux-gnu/bin/ld: cannot find -lgdk_pixbuf
collect2: ld returned 1 exit status
strip: 'blinky': No such file

Appreciate any help you can give to troubleshoot the problem.

Thanks
Gary
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 4254
Location: Gatineau (Qc), Canada

PostPosted: Wed 07 Mar 2012, 04:21    Post subject:  

Hi, Gary.

Sorry for the late reply. I generally don't dig this "deep" in the threads. Laughing

I believe this has been done before. Use the specialized Puppy google search to look for < blinky AND MU >. Mark Ulrich (aka MU) was very active in the period around Puppy versions 3 and 4, and If I remember correctly, he created a blinky that could be used with icewm. If you don't find it, get back to me. I still have one of MU's Muppies active on my other computer and I could pluck it out for you.

BFN.

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
WiZard

Joined: 11 Sep 2005
Posts: 43

PostPosted: Wed 07 Mar 2012, 11:12    Post subject:  

Musher0, hadn't thought of that to fix it. Blinky for Ice is working in 4.12, but thats an older kernal than 4.31. Do you remember which Muppy?

Thanks for the reply

Gary
Back to top
View user's profile Send private message 
disciple

Joined: 20 May 2006
Posts: 6447
Location: Auckland, New Zealand

PostPosted: Wed 07 Mar 2012, 20:46    Post subject:  

If it works in 4.12 its pretty unlikely that it wouldn't work in 4.31
_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 4254
Location: Gatineau (Qc), Canada

PostPosted: Thu 08 Mar 2012, 15:28    Post subject:  

Hello again, WIZard.

I found this blinky: http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet_packages-4/blinky-0.8-1.pet

And a couple of references about older blinkies:

http://www.murga-linux.com/puppy/viewtopic.php?t=7474&start=15&sid=07807d7907f0d6c9c8f7f27128001500

http://208.109.22.214/puppy/viewtopic.php?p=99155&sid=8df256f8506e41ce6b8ab3e50feb3f49

I hope this helps.

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Desktop
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0452s ][ Queries: 11 (0.0045s) ][ GZIP on ]